# Toragi-2025-02

# 導入方法

1. Raspberry Pi 5にRaspberry Pi OSを導入する。
2. Raspberry PIのGUIでログインする。
3. アーカイブファイルをホームディレクトリにコピーする。
4. ターミナルを開く。
5. 以下のコマンドを実行する。

```Shell
$ sudo apt update
$ sudo apt upgrade -y
$ unzip project.zip
$ cd project
$ ./build.sh
```

# 起動方法

```Shell
$ ./start.sh
```

これを実行すると以下の内容が表示される。

```Sh
start web server at http://192.168.1.165:8000
2024-07-20 09:48:27,744 INFO     Starting server at tcp:port=8000:interface=0.0.0.0
2024-07-20 09:48:27,745 INFO     HTTP/2 support not enabled (install the http2 and tls Twisted extras)
2024-07-20 09:48:27,745 INFO     Configuring endpoint tcp:port=8000:interface=0.0.0.0
2024-07-20 09:48:27,745 INFO     Listening on TCP address 0.0.0.0:8000
```

1行目にあるhttp://から始まる部分をPC上のブラウザからアクセスする。

# 実行方法

スレッド数と実行回数にそれぞれ数値を入力し、実行開始ボタンを押すと測定を開始する。測定結果は下部のテキストエリアにCSV形式で表示される。

必要に応じてCSVデータをExcelに貼り付けて分析する。
